io.vertx.rxjava3.ext.unit.report

## Class Failure

- java.lang.Object
- - io.vertx.rxjava3.ext.unit.report.Failure

-     public class Failure
      extends Object

  A failure provides the details of a failure that happened during the execution of a test case.

  The failure can be:
  - an assertion failure: an assertion failed
  - an error failure: an expected error occured

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Failure>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Failure(Failure delegate)`
    `Failure(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Failure` | `getDelegate()`
    `int` | `hashCode()`
    `boolean` | `isError()`
    `String` | `message()`
    `static Failure` | `newInstance(Failure arg)`
    `String` | `stackTrace()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Failure> __TYPE_ARG

  - ### Constructor Detail

    - #### Failure

          public Failure(Failure delegate)

    - #### Failure

          public Failure(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Failure getDelegate()

    - #### isError

          public boolean isError()

      Returns:
        true if the failure is an error failure otherwise it is an assertion failure

    - #### message

          public String message()

      Returns:
        the error message

    - #### stackTrace

          public String stackTrace()

      Returns:
        the stack trace

    - #### newInstance

          public static Failure newInstance(Failure arg)

Copyright © 2021 Eclipse. All rights reserved.